package eu.mathiasl.legacychatfix;

import com.comphenix.protocol.ProtocolLibrary;
import org.bukkit.plugin.java.JavaPlugin;

public final class LegacyChatFix extends JavaPlugin {

    LegacyChatFixPacketAdapter adapter;

    @Override
    public void onEnable() {
        // Plugin startup logic
        adapter = new LegacyChatFixPacketAdapter(this);
        ProtocolLibrary.getProtocolManager().addPacketListener(adapter);
    }

    @Override
    public void onDisable() {
        // Plugin shutdown logic
        ProtocolLibrary.getProtocolManager().removePacketListener(adapter);
    }
}
